View Issue Details

IDProjectCategoryView StatusLast Update
0004725Talerwallet (WebExtensions)public2016-11-20 03:26
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.1 
Target Version0.2Fixed in Version0.2 
Summary0004725: audit wallet for consistency issues caused by IndexdDB's auto commit mechanism
DescriptionDuring IndexedDB transactions, no asynchronous work can be performed. As long as no more work is scheduled before returning to the browser, transactions are auto-commited.

We should check (especially in refresh) whether the wallet DB's consistency is violated by that, and adjust our code to that.
TagsNo tags attached.

Activities

Florian Dold

2016-10-20 01:40

manager   ~0011361

Fixed around de65019.

Withdraw and refresh now manipulate the database atomically.

Issue History

Date Modified Username Field Change
2016-10-13 00:15 Florian Dold New Issue
2016-10-13 00:15 Florian Dold Status new => assigned
2016-10-13 00:15 Florian Dold Assigned To => Florian Dold
2016-10-13 01:59 Christian Grothoff Product Version => 0.1
2016-10-13 01:59 Christian Grothoff Target Version => 0.2
2016-10-20 01:40 Florian Dold Note Added: 0011361
2016-10-20 01:40 Florian Dold Status assigned => resolved
2016-10-20 01:40 Florian Dold Resolution open => fixed
2016-11-15 16:03 Christian Grothoff Fixed in Version => 0.2
2016-11-20 03:26 Christian Grothoff Status resolved => closed